shishi_encticketpart_transited_set(3)

NAME
shishi_encticketpart_transited_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_encticketpart_transited_set(Shishi * handle, Shishi_asn1 encticketpart, int32_t trtype, const char * trdata, size_t trdatalen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 encticketpart
    input EncTicketPart variable.

int32_t trtype
    transitedencoding type, e.g. SHISHI_TR_DOMAIN_X500_COMPRESS.

const char * trdata
    actual transited realm data.

size_t trdatalen
    length of actual transited realm data.

DESCRIPTION
Set the EncTicketPart.transited field to supplied value.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.